Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface ListPresentation

All Known Subinterfaces:
  FlatListPresentation, HierachicalListPresentation, LibraryListPresentationComponent

    public interface ListPresentation

Represents the base presentation properties of a list

The actual layout for each result is specified in the sub-classes:

- `HierachicalListPresentation`
- `FlatListPresentation`

Method Summary
`java.lang.String` | `getNoResultsDesign()` Returns the 'No Results' design
`ListPagingOptions` | `getPagingOptions()` Returns the paging options for this `ListPresentation`
`boolean` | `hasNoResultsDesign()` Indicates if this `ListPresentation` has a no-results design specified
`void` | `setNoResultsDesign(java.lang.String p_html)` Sets the 'No Results' design

Method Detail

### getPagingOptions

    ListPagingOptions getPagingOptions()

  Returns the paging options for this `ListPresentation`

  Returns:
    the paging options for this `ListPresentation`

### getNoResultsDesign

    java.lang.String getNoResultsDesign()

  Returns the 'No Results' design

  Returns:
    the 'No Results' design

### setNoResultsDesign

    void setNoResultsDesign(java.lang.String p_html)
                            throws OperationFailedException

  Sets the 'No Results' design

  Parameters:
    `p_html` - The HTML to set. If `NULL` or empty string is specified, then the design will be cleared
  Throws:
    `OperationFailedException` - if the result design could not be set

### hasNoResultsDesign

    boolean hasNoResultsDesign()

  Indicates if this `ListPresentation` has a no-results design specified

  Returns:
    true if this `ListPresentation` has a no-results design specified, false otherwise

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD